Skip to main content
GET
/
analytics
/
users
/
{userId}
Get user-level engagement insights
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/analytics/users/{userId} \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>'

Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

appid
string
required

Tenant application ID

Path Parameters

userId
string
required

Query Parameters

dimension
enum<string>

Rollup dimension to query

Available options:
campaign,
template,
channel
dimensionId
string

Dimension ID (campaign ID, template ID, or channel type)

period
enum<string>

Rollup period

Available options:
hourly,
daily
startDate
string

Start date filter (ISO 8601)

endDate
string

End date filter (ISO 8601)

limit
number
default:50

Maximum number of results

Response

200

Aggregated counts: viewed, clicked, interacted, lastEngagement (unix seconds or null)